Bug 191449 - install grub incorrect when /boot is a RAID1 device
install grub incorrect when /boot is a RAID1 device
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 22:31 EDT by soul916
Modified: 2008-07-24 17:04 EDT (History)
0 users

See Also:
Fixed In Version: rhel4u7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 17:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description soul916 2006-05-11 22:31:17 EDT
Description of problem:
Whe install RHEL4U3 whith a RAID1 device use as /boot the system couldn't
startup after installation.

Version-Release number of selected component (if applicable):
10.1.1.37-1

How reproducible:
Just install RHEL4U3 x86 into a two disk computer and config /boot with a RAID1
device.

Steps to Reproduce:
1.prepare a x86 computer with two hard disk
2.when installation config the /boot whith a RAID1 device(for example md0) and
install grub to this device.
3.reboot the computer
  
Actual results:
the grub will report an error and couldn't startup

Expected results:
the grub will report an error and couldn't startup

Additional info:
Use installation CD startup the computer into rescue mode, chroot to the local
system.
Modify /etc/mtab of the local system for example:
the origenal is /dev/md0 /boot 
after modified /dev/sda1 /boot

Run grub-install /dev/sda1 
reboot the computer then the system could startup
Comment 1 David Tonhofer 2006-08-24 16:43:26 EDT
Just cross-referencing this:

>> Bug #191449 NEW install grub incorrect when /boot is a RAID1 device
Bug #170575 NEW grub fails on one of two sata disks of raid1 set during i...
Bug #163460 NEW Installation failed on RAID setup (GRUB error 15 and fail...
Bug #160563 NEW "grub-install /dev/md0" does not install on second disk i...
Bug #114690 CLOSED/RAWHIDE grub-install won't install to RAID 1
Comment 2 Andy Lindeberg 2008-07-24 17:04:33 EDT
This has been tested with rhel4u7 and the reported bug no longer appears. Please
try installing the latest release to see if it works for you. If you encounter
the problem again, feel free to reopen this bug with the information.

Note You need to log in before you can comment on or make changes to this bug.